# Class: Concurrent::ErlangActor::EnvironmentConstants::And

Inherits:
  AbstractLogicOperationMatcher
  - Object
  - AbstractLogicOperationMatcher
  - Concurrent::ErlangActor::EnvironmentConstants::And
  show all

Defined in:
  lib/concurrent-ruby-edge/concurrent/edge/erlang_actor.rb

## Overview

Combines matchers into one which matches if all match.

Examples:

    And[Numeric, -> v { v >= 0 }] === 1  # => true
    And[Numeric, -> v { v >= 0 }] === -1 # => false

## Instance Method Summary collapse

- #===(v) ⇒ true, false

## Constructor Details

This class inherits a constructor from Concurrent::ErlangActor::EnvironmentConstants::AbstractLogicOperationMatcher

## Instance Method Details

### #===(v) ⇒ `true`, `false`

Returns:

- (`true`, `false`)

    606
    607
    608

    # File 'lib/concurrent-ruby-edge/concurrent/edge/erlang_actor.rb', line 606

    def ===(v)
      @matchers.all? { |m| m === v }
    end